<template>
  <cc-root-view>
    <view class="HomePage">
      <hs-custom-title title="废品回收助手" />
      <MyUserInfo />
      <MyShowData />
      <view class="OrderTitle">
        最近订单
        <view class="more_btn">
          更多<uni-icons type="right" size="13" color="#3da605"></uni-icons>
        </view>
      </view>
      <hs-order-items />
      <!-- <view class="footer_group_btn">
        <hs-button label="新增收货单" size="md" />
      </view> -->
    </view>
  </cc-root-view>
</template>
<script setup lang="ts">
const App = getApp();
import MyShowData from "./components/showData.vue";
import MyUserInfo from "./components/useInfo.vue";
import { onShareAppMessage, onShareTimeline, onShow } from "@dcloudio/uni-app";
import { setTabBarData } from "@/common/libraries/setTabBar";
const auth = useWeAppAuthStore();
import useModel from "./model";
import method from "./method";
import { useWeAppAuthStore } from "@/common";
import { getCurrentInstance, ref } from "vue";
import useUser from "@/common/libraries/userUserLogin";
onShow(async () => {
  setTabBarData(0);
  await getCurrentInstance()?.appContext.config.globalProperties.$onLaunched;
});

onShareAppMessage(() => {
  return {
    title: "废品回收助手",
    path: "/pages/index/index",
  };
});
onShareTimeline(() => {
  return {
    title: "废品回收助手",
    path: "/pages/index/index",
  };
});
</script>

<style lang="scss">
@import "./style.scss";
</style>
